/**
 * @file
 * Defines behaviors for the Mercado Pago payment method form.
 */

(function ($, Drupal, drupalSettings, MercadoPago) {

    'use strict';

    Drupal.behaviors.commerceMercadoPagoForm = {
        attach: function (context) {
            document.addEventListener('DOMContentLoaded', function() {

            const preference_id = drupalSettings.payment_mercadopago.preference;
            const public_key = drupalSettings.payment_mercadopago.public_key;
            if (typeof public_key === 'undefined' || public_key === null) {
                console.error('Clave pública no definida');
            } else {
                console.log('Clave pública:', public_key);
                const mercadopago = new MercadoPago(public_key);
                const bricksBuilder = mercadopago.bricks();
                const renderComponent = async (bricksBuilder) => {
                    const settings = {
                        initialization: {
                            preferenceId: preference_id,
                        },
                    };

                    try {
                        const controller = await bricksBuilder.create(
                            'wallet',
                            'mercadopago-bricks-contaner__PaymentCard',
                            settings
                        );

                        $('#loading').addClass('visually-hidden');
                    } catch (error) {
                        $('#loading').addClass('visually-hidden');
                    }
                };
                renderComponent(bricksBuilder);
                }
            });
        }
    };

})(jQuery, Drupal, drupalSettings, window.MercadoPago);
