<?php

namespace Drupal\payment_mercadopago\Controller;

use Drupal\Core\DependencyInjection\ContainerInjectionInterface;
use Drupal\Core\Routing\TrustedRedirectResponse;
use Symfony\Component\DependencyInjection\ContainerInterface;
use Symfony\Component\HttpFoundation\RequestStack;
use Symfony\Component\HttpFoundation\JsonResponse;
use MercadoPago;

/**
 * This is a dummy controller for mocking an off-site gateway.
 */
class DummyRedirectController implements ContainerInjectionInterface {

  

  /**
   * The current request.
   *
   * @var \Symfony\Component\HttpFoundation\Request
   */
  protected $currentRequest;

  /**
   * Constructs a new DummyRedirectController object.
   *
   * @param \Symfony\Component\HttpFoundation\RequestStack $request_stack
   *   The request stack.
   */
  public function __construct(RequestStack $request_stack) {
    $this->currentRequest = $request_stack->getCurrentRequest();
    MercadoPago\SDK::initialize();
  }

  /**
   * {@inheritdoc}
   */
  public static function create(ContainerInterface $container) {
    return new static(
      $container->get('request_stack')
    );
  }
  
  /**
   * Callback method which accepts POST.
   *
   * @throws \Drupal\commerce\Response\NeedsRedirectException
   */
  public function postPayment() {

    $data = json_decode($this->currentRequest->getContent(), true);
    // // Crear un objeto de preferencia
    $preference = new MercadoPago\Preference();
    // Crear un elemento en la preferencia
    $item = new MercadoPago\Item();
    $item->title = 'Meu produto';
    $item->quantity = 1;
    $item->unit_price = 75.56;
    $preference->items = array($item);

    $preference->purpose = 'wallet_purchase';
    $preference->save();
    $preference_id = $preference->id;

    $response = [
        'id' => $preference_id,

      ];
    return new JsonResponse($response);
  
  }


}
